import { defineComponent, onBeforeUnmount, resolveComponent, openBlock, createElementBlock, Fragment, createElementVNode, createVNode, normalizeClass, withCtx, createBlock, resolveDynamicComponent, renderSlot, toDisplayString, createCommentVNode } from "vue";
import { ElIcon } from "element-plus";
import { CloseOutlined, InfoCircleFilled, CheckCircleFilled, ExclamationCircleFilled, CloseCircleFilled, LoadingOutlined } from "../../icons";
const _sfc_main = defineComponent({
  name: "MessageBody",
  components: {
    ElIcon,
    CloseOutlined,
    InfoCircleFilled,
    CheckCircleFilled,
    ExclamationCircleFilled,
    CloseCircleFilled,
    LoadingOutlined
  },
  props: {
    /** 内容 */
    message: String,
    /** 类型 */
    type: String,
    /** 图标 */
    icon: [String, Object, Function],
    /** 是否显示关闭按钮 */
    showClose: Boolean,
    /** 内容是否是富文本 */
    dangerouslyUseHTMLString: Boolean,
    /** 是否是加载框 */
    loading: Boolean,
    /** 标识id */
    messageId: String
  },
  emits: {
    close: () => true,
    messageDestroy: (_messageId) => true
  },
  setup(props, { emit }) {
    onBeforeUnmount(() => {
      emit("messageDestroy", props.messageId);
    });
    return { handleClose: () => emit("close") };
  }
});
const _export_sfc = (sfc, props) => {
  const target = sfc.__vccOpts || sfc;
  for (const [key, val] of props) {
    target[key] = val;
  }
  return target;
};
const _hoisted_1 = { class: "ele-message-icon" };
const _hoisted_2 = ["innerHTML"];
const _hoisted_3 = {
  key: 1,
  class: "ele-message-content"
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_LoadingOutlined = resolveComponent("LoadingOutlined");
  const _component_CheckCircleFilled = resolveComponent("CheckCircleFilled");
  const _component_ExclamationCircleFilled = resolveComponent("ExclamationCircleFilled");
  const _component_CloseCircleFilled = resolveComponent("CloseCircleFilled");
  const _component_InfoCircleFilled = resolveComponent("InfoCircleFilled");
  const _component_ElIcon = resolveComponent("ElIcon");
  const _component_CloseOutlined = resolveComponent("CloseOutlined");
  return openBlock(), createElementBlock(Fragment, null, [
    createElementVNode("div", _hoisted_1, [
      createVNode(_component_ElIcon, {
        class: normalizeClass({ "is-loading": _ctx.loading })
      }, {
        default: withCtx(() => [
          _ctx.icon ? (openBlock(), createBlock(resolveDynamicComponent(_ctx.icon), { key: 0 })) : _ctx.loading ? (openBlock(), createBlock(_component_LoadingOutlined, { key: 1 })) : _ctx.type === "success" ? (openBlock(), createBlock(_component_CheckCircleFilled, { key: 2 })) : _ctx.type === "warning" ? (openBlock(), createBlock(_component_ExclamationCircleFilled, { key: 3 })) : _ctx.type === "error" ? (openBlock(), createBlock(_component_CloseCircleFilled, { key: 4 })) : (openBlock(), createBlock(_component_InfoCircleFilled, { key: 5 }))
        ]),
        _: 1
      }, 8, ["class"])
    ]),
    renderSlot(_ctx.$slots, "default", {}, () => [
      _ctx.dangerouslyUseHTMLString ? (openBlock(), createElementBlock("div", {
        key: 0,
        innerHTML: _ctx.message,
        class: "ele-message-content"
      }, null, 8, _hoisted_2)) : (openBlock(), createElementBlock("div", _hoisted_3, toDisplayString(_ctx.message), 1))
    ]),
    _ctx.showClose ? (openBlock(), createElementBlock("div", {
      key: 0,
      class: "ele-message-close",
      onClick: _cache[0] || (_cache[0] = (...args) => _ctx.handleClose && _ctx.handleClose(...args))
    }, [
      createVNode(_component_ElIcon, null, {
        default: withCtx(() => [
          createVNode(_component_CloseOutlined)
        ]),
        _: 1
      })
    ])) : createCommentVNode("", true)
  ], 64);
}
const messageBody = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export {
  messageBody as default
};
