import { StyleValue } from '../ele-app/types';
import { EleTextProps, EleTextInstance } from '../ele-app/plus';
import { EllipsisTooltip } from './types';

declare const _default: import('vue').DefineComponent<{
    maxLine: NumberConstructor;
    lineHeight: (StringConstructor | NumberConstructor)[];
    tooltip: {
        type: import('vue').PropType<boolean | EllipsisTooltip>;
        default: () => {
            original: boolean;
        };
    };
    tag: {
        type: StringConstructor;
        default: string;
    };
    type: import('vue').PropType<import('../ele-text/types').TextType>;
    size: import('vue').PropType<import('../ele-text/types').TextSize>;
    deleted: BooleanConstructor;
    underline: BooleanConstructor;
    strong: BooleanConstructor;
    italic: BooleanConstructor;
    icon: import('vue').PropType<import('../ele-text/types').TextIcon>;
    iconProps: import('vue').PropType<import('../ele-app/el').ElIconProps>;
    iconStyle: import('vue').PropType<StyleValue>;
}, {
    textRef: import('vue').Ref<EleTextInstance>;
    virtualRef: import('vue').Ref<HTMLElement | undefined>;
    tooltipProps: import('vue').ComputedRef<Partial<import('../ele-tooltip/props').TooltipProps>>;
    multiLine: import('vue').ComputedRef<boolean>;
    textProps: import('vue').ComputedRef<EleTextProps>;
    rootStyle: import('vue').ComputedRef<Partial<import('vue').CSSProperties>>;
    handleHover: (e: MouseEvent) => void;
}, unknown, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    maxLine: NumberConstructor;
    lineHeight: (StringConstructor | NumberConstructor)[];
    tooltip: {
        type: import('vue').PropType<boolean | EllipsisTooltip>;
        default: () => {
            original: boolean;
        };
    };
    tag: {
        type: StringConstructor;
        default: string;
    };
    type: import('vue').PropType<import('../ele-text/types').TextType>;
    size: import('vue').PropType<import('../ele-text/types').TextSize>;
    deleted: BooleanConstructor;
    underline: BooleanConstructor;
    strong: BooleanConstructor;
    italic: BooleanConstructor;
    icon: import('vue').PropType<import('../ele-text/types').TextIcon>;
    iconProps: import('vue').PropType<import('../ele-app/el').ElIconProps>;
    iconStyle: import('vue').PropType<StyleValue>;
}>>, {
    tag: string;
    underline: boolean;
    tooltip: boolean | EllipsisTooltip;
    strong: boolean;
    italic: boolean;
    deleted: boolean;
}, {}>;
export default _default;
