import { PropType } from 'vue';
import { IconItem, FileItem, SelectionType, ContextOpenOption } from '../types';

declare const _default: import('vue').DefineComponent<{
    /** 数据 */
    item: {
        type: PropType<FileItem>;
        required: true;
    };
    /** 选择框类型 */
    selectionType: PropType<SelectionType>;
    /** 多选选中数据 */
    selections: PropType<FileItem[]>;
    /** 单选选中数据 */
    current: PropType<FileItem>;
    /** 后缀对应的图标 */
    icons: PropType<IconItem[]>;
    /** 右键下拉菜单是否显示 */
    ctxMenuDropdownVisible: BooleanConstructor;
}, {
    dropdownTriggerRef: import('vue').Ref<HTMLElement | null>;
    selectable: import('vue').ComputedRef<boolean>;
    selected: import('vue').ComputedRef<boolean>;
    icon: import('vue').ComputedRef<string | undefined>;
    handleClick: () => void;
    handleCheckChange: () => void;
    handleContextmenu: (e: MouseEvent) => void;
}, unknown, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    click: (_item: FileItem) => true;
    checkChange: (_item: FileItem) => true;
    contextOpen: (_option: ContextOpenOption) => true;
}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    /** 数据 */
    item: {
        type: PropType<FileItem>;
        required: true;
    };
    /** 选择框类型 */
    selectionType: PropType<SelectionType>;
    /** 多选选中数据 */
    selections: PropType<FileItem[]>;
    /** 单选选中数据 */
    current: PropType<FileItem>;
    /** 后缀对应的图标 */
    icons: PropType<IconItem[]>;
    /** 右键下拉菜单是否显示 */
    ctxMenuDropdownVisible: BooleanConstructor;
}>> & {
    onClick?: ((_item: FileItem) => any) | undefined;
    onCheckChange?: ((_item: FileItem) => any) | undefined;
    onContextOpen?: ((_option: ContextOpenOption) => any) | undefined;
}, {
    ctxMenuDropdownVisible: boolean;
}, {}>;
export default _default;
