import { ElAutocompleteInstance } from '../../ele-app/el';
import { PoiItem } from '../types';

declare const _default: import('vue').DefineComponent<{
    height: {
        type: StringConstructor;
        default: string;
    };
    center: import('vue').PropType<number[]>;
    zoom: {
        type: NumberConstructor;
        default: number;
    };
    selectedZoom: {
        type: NumberConstructor;
        default: number;
    };
    poiLimit: {
        type: NumberConstructor;
        default: number;
    };
    poiType: {
        type: StringConstructor;
        default: string;
    };
    poiKeywords: {
        type: StringConstructor;
        default: string;
    };
    poiRadius: {
        type: NumberConstructor;
        default: number;
    };
    returnRegions: BooleanConstructor;
    required: {
        type: BooleanConstructor;
        default: boolean;
    };
    message: StringConstructor;
    suggestionCity: {
        type: StringConstructor;
        default: string;
    };
    searchPlaceholder: StringConstructor;
    markerSrc: {
        type: StringConstructor;
        default: string;
    };
    mapKey: StringConstructor;
    mapVersion: {
        type: StringConstructor;
        default: string;
    };
    mapStyle: StringConstructor;
    darkMode: BooleanConstructor;
    okText: StringConstructor;
    emptyProps: import('vue').PropType<import('../../ele-app/el').ElEmptyProps>;
    searchStyle: import('vue').PropType<import('../../ele-app/types').StyleValue>;
    mode: {
        type: import('vue').PropType<import('../types').SelectMode>;
        default: string;
    };
    filterable: {
        type: BooleanConstructor;
        default: boolean;
    };
    clickMessage: StringConstructor;
    selected: import('vue').PropType<PoiItem>;
    sideStyle: import('vue').PropType<import('../../ele-app/types').StyleValue>;
}, {
    SearchOutlined: import('vue').DefineComponent<{}, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{}>>, {}, {}>;
    mapRef: import('vue').Ref<HTMLDivElement | null>;
    autocompleteRef: import('vue').Ref<ElAutocompleteInstance>;
    listRef: import('vue').Ref<HTMLDivElement | null>;
    loading: import('vue').Ref<boolean>;
    poiLoading: import('vue').Ref<boolean>;
    confirmLoading: import('vue').Ref<boolean>;
    data: import('vue').Ref<{
        [x: string]: any;
        key?: string | undefined;
        name?: string | undefined;
        address?: string | undefined;
        lat?: number | undefined;
        lng?: number | undefined;
        district?: string | undefined;
        city?: {
            province: string;
            city: string;
            district: string;
            citycode: number;
        } | undefined;
    }[]>;
    suggestionData: import('vue').Ref<{
        [x: string]: any;
        key?: string | undefined;
        name?: string | undefined;
        address?: string | undefined;
        lat?: number | undefined;
        lng?: number | undefined;
        district?: string | undefined;
        city?: {
            province: string;
            city: string;
            district: string;
            citycode: number;
        } | undefined;
    }[]>;
    centerIconClass: import('vue').Ref<string[]>;
    keywords: import('vue').Ref<string>;
    current: import('vue').Ref<{
        [x: string]: any;
        key?: string | undefined;
        name?: string | undefined;
        address?: string | undefined;
        lat?: number | undefined;
        lng?: number | undefined;
        district?: string | undefined;
        city?: {
            province: string;
            city: string;
            district: string;
            citycode: number;
        } | undefined;
    } | null | undefined>;
    confirmDisabled: import('vue').ComputedRef<boolean>;
    keywordMode: import('vue').ComputedRef<boolean>;
    poiMode: import('vue').ComputedRef<boolean>;
    getMapIns: () => any;
    showInitSelected: () => void;
    handleSearch: (keyword: string, callback?: any) => void;
    handleSearchSelect: (item: PoiItem) => void;
    handleItemClick: (item: PoiItem) => void;
    handleConfirm: () => void;
}, unknown, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    mapDone: (_ins: any) => true;
    select: (_selected: PoiItem | null) => true;
    done: (_result: PoiItem) => true;
}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    height: {
        type: StringConstructor;
        default: string;
    };
    center: import('vue').PropType<number[]>;
    zoom: {
        type: NumberConstructor;
        default: number;
    };
    selectedZoom: {
        type: NumberConstructor;
        default: number;
    };
    poiLimit: {
        type: NumberConstructor;
        default: number;
    };
    poiType: {
        type: StringConstructor;
        default: string;
    };
    poiKeywords: {
        type: StringConstructor;
        default: string;
    };
    poiRadius: {
        type: NumberConstructor;
        default: number;
    };
    returnRegions: BooleanConstructor;
    required: {
        type: BooleanConstructor;
        default: boolean;
    };
    message: StringConstructor;
    suggestionCity: {
        type: StringConstructor;
        default: string;
    };
    searchPlaceholder: StringConstructor;
    markerSrc: {
        type: StringConstructor;
        default: string;
    };
    mapKey: StringConstructor;
    mapVersion: {
        type: StringConstructor;
        default: string;
    };
    mapStyle: StringConstructor;
    darkMode: BooleanConstructor;
    okText: StringConstructor;
    emptyProps: import('vue').PropType<import('../../ele-app/el').ElEmptyProps>;
    searchStyle: import('vue').PropType<import('../../ele-app/types').StyleValue>;
    mode: {
        type: import('vue').PropType<import('../types').SelectMode>;
        default: string;
    };
    filterable: {
        type: BooleanConstructor;
        default: boolean;
    };
    clickMessage: StringConstructor;
    selected: import('vue').PropType<PoiItem>;
    sideStyle: import('vue').PropType<import('../../ele-app/types').StyleValue>;
}>> & {
    onSelect?: ((_selected: PoiItem | null) => any) | undefined;
    onDone?: ((_result: PoiItem) => any) | undefined;
    onMapDone?: ((_ins: any) => any) | undefined;
}, {
    height: string;
    zoom: number;
    required: boolean;
    filterable: boolean;
    mode: import('../types').SelectMode;
    selectedZoom: number;
    poiLimit: number;
    poiType: string;
    poiKeywords: string;
    poiRadius: number;
    returnRegions: boolean;
    suggestionCity: string;
    markerSrc: string;
    mapVersion: string;
    darkMode: boolean;
}, {}>;
export default _default;
