"use strict";
const vue = require("vue");
const util = require("../ele-pro-layout/util");
const props = require("./props");
const _sfc_main = vue.defineComponent({
  name: "EleBottomBar",
  props: props.bottomBarProps,
  setup() {
    const layoutState = util.useLayoutState();
    const isActivated = vue.ref(true);
    const teleportTo = vue.computed(() => {
      var _a;
      return (_a = layoutState.getBodyWrapperEl) == null ? void 0 : _a.call(layoutState);
    });
    vue.onActivated(() => {
      isActivated.value = true;
    });
    vue.onDeactivated(() => {
      isActivated.value = false;
    });
    return { isActivated, teleportTo };
  }
});
const _export_sfc = (sfc, props2) => {
  const target = sfc.__vccOpts || sfc;
  for (const [key, val] of props2) {
    target[key] = val;
  }
  return target;
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createBlock(vue.Teleport, {
    to: _ctx.teleportTo,
    disabled: !_ctx.teleported || !_ctx.teleportTo
  }, [
    vue.createElementVNode("div", {
      class: vue.normalizeClass(["ele-bottom-bar", { "is-deactivated": !_ctx.isActivated }])
    }, [
      vue.createElementVNode("div", {
        class: "ele-bottom-bar-body",
        style: vue.normalizeStyle(_ctx.bodyStyle)
      }, [
        vue.renderSlot(_ctx.$slots, "default")
      ], 4),
      vue.createElementVNode("div", {
        class: "ele-bottom-bar-extra",
        style: vue.normalizeStyle(_ctx.extraStyle)
      }, [
        vue.renderSlot(_ctx.$slots, "extra")
      ], 4)
    ], 2)
  ], 8, ["to", "disabled"]);
}
const index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
module.exports = index;
